Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Nhờ các bạn viết Lisp cắt đôi miếng hatch


  • Please log in to reply
10 replies to this topic

#1 VINHTHU_VINHTHU

VINHTHU_VINHTHU

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 14 August 2011 - 10:49 PM

Là thế này lúc đầu tôi có 1 miếng hatch và 1 đường pline nằm trên đó, nó chia miếng hatch thành 2 miền (gọi là miền trên và miền giới chẳng hạn), tôi muốn miền trên là mẫu hatch này còn miền dưới là 1 mẫu hatch khác.

Để làm được như vậy thì có nhiều cách như là xoá hach đó đi rồi hatch lại ( thành 2 miếng hach khác nhau) hoặc là trim cái phần hatch kia đi qua đường pline đó rồi hatch lại phần vừa trim sang mẫu hatch khác….rất mất thời gian.

Tôi muốn lisp mà có thể cắt miếng hatch kia ra luôn theo đường pline đó

Hình đã gửi
  • -1

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 14 August 2011 - 11:14 PM

Ồ, lần trước nói ý nói tứ rồi mà bạn lại lập tiếp cái nữa.
Thôi thì nói thẳng với bạn vậy : Hãy tránh dùng từ "Tôi muốn", vì bạn đang ở vị trí người cần được giúp đỡ ^^ (Mặc dù đội ngũ BQT thống nhất với tiền tố [Yêu cầu] cho ngắn gọn)
- Về vấn đề của bạn, Hatch là đối tượng khó chịu, với khả năng của mình thì chỉ giúp bạn được ở mức thực hiện thao tác trim + Hatch lại giúp bạn thôi.
Lệnh : brh
Thao tác : Chọn Pline chia, Pick vào 1 phía của miếng Hatch
(defun c:brh ()
(grtext -1 "Free Lisp From Cadviet @Ketxu")
(setq Pline (car (entsel "\n Pick vao Pline"))
e (entsel "\nPick vao vung Hatch ")
hObj (car e)
pt (cadr e)
)
(command ".trim" Pline "" pt "" "-hatch" pt "" "_MATCHPROP" hObj (entlast) ""))

  • 3

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 VINHTHU_VINHTHU

VINHTHU_VINHTHU

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 15 August 2011 - 12:43 AM

Uhm, mình chân thành cám ơn các bạn đã cố gắng giúp đỡ, còn ý kiến các bạn thì mình sẽ tiếp thu. Nhưng mình cũng xin giải thích là từ “tôi muốn” ấy ko phải là để đòi hỏi ai cả mà là để diễn đạt cái lệnh đó: “tôi có những điều kiện thế này… và tôi muốn có lisp để có được kết quả như vậy…” , “mong các bạn giúp đỡ để tôi làm đc điều đó…” .Thế thôi có gi đâu ^^
  • 0

#4 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 15 August 2011 - 12:46 AM

Uhm, mình chân thành cám ơn các bạn đã cố gắng giúp đỡ, còn ý kiến các bạn thì mình sẽ tiếp thu. Nhưng mình cũng xin giải thích là từ “tôi muốn” ấy ko phải là để đòi hỏi ai cả mà là để diễn đạt cái lệnh đó: “tôi có những điều kiện thế này… và tôi muốn có lisp để có được kết quả như vậy…” , “mong các bạn giúp đỡ để tôi làm đc điều đó…” .Thế thôi có gi đâu ^^

Mà cái đoạn màu đỏ của bạn không có :)
Với mình thì không có vấn đề gì, vì mình cũng không ưa quá hình thức hoặc khách sáo, tuy nhiên, vẫn cần góp ý!
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#5 VINHTHU_VINHTHU

VINHTHU_VINHTHU

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 15 August 2011 - 01:02 AM

Ồ, lần trước nói ý nói tứ rồi mà bạn lại lập tiếp cái nữa.
Thôi thì nói thẳng với bạn vậy : Hãy tránh dùng từ "Tôi muốn", vì bạn đang ở vị trí người cần được giúp đỡ ^^ (Mặc dù đội ngũ BQT thống nhất với tiền tố [Yêu cầu] cho ngắn gọn)
- Về vấn đề của bạn, Hatch là đối tượng khó chịu, với khả năng của mình thì chỉ giúp bạn được ở mức thực hiện thao tác trim + Hatch lại giúp bạn thôi.
Lệnh : brh
Thao tác : Chọn Pline chia, Pick vào 1 phía của miếng Hatch

(defun c:brh ()
(grtext -1 "Free Lisp From Cadviet @Ketxu")
(setq Pline (car (entsel "\n Pick vao Pline"))
e (entsel "\nPick vao vung Hatch ")
hObj (car e)
pt (cadr e)
)
(command ".trim" Pline "" pt "" "-hatch" pt "" "_MATCHPROP" hObj (entlast) ""))




Oh! đc rồi thanks bạn ketxu nhiều thế là đc rồi, mình chỉ cần đến thế thôi.^^
  • 0

#6 bach1212

bach1212

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 30 March 2012 - 11:06 AM

Ồ, lần trước nói ý nói tứ rồi mà bạn lại lập tiếp cái nữa.
Thôi thì nói thẳng với bạn vậy : Hãy tránh dùng từ "Tôi muốn", vì bạn đang ở vị trí người cần được giúp đỡ ^^ (Mặc dù đội ngũ BQT thống nhất với tiền tố [Yêu cầu] cho ngắn gọn)
- Về vấn đề của bạn, Hatch là đối tượng khó chịu, với khả năng của mình thì chỉ giúp bạn được ở mức thực hiện thao tác trim + Hatch lại giúp bạn thôi.
Lệnh : brh
Thao tác : Chọn Pline chia, Pick vào 1 phía của miếng Hatch

(defun c:brh ()
(grtext -1 "Free Lisp From Cadviet @Ketxu")
(setq Pline (car (entsel "\n Pick vao Pline"))
e (entsel "\nPick vao vung Hatch ")
hObj (car e)
pt (cadr e)
)
(command ".trim" Pline "" pt "" "-hatch" pt "" "_MATCHPROP" hObj (entlast) ""))

Bác ketxu bổ sung thêm lựa chọn đường cắt là nhiều đường 1 lúc, và có thể chọn cả pline, arc, spline....được không ah? Thanks bác
  • 0

Một môn tập luyện mang lại vô vàn lợi ích sức khỏe cho mọi người, nhiều bệnh tật nan y đều được chữa khỏi, hoàn toàn miễn phí. Hiệu quả chữa khỏi bệnh tật của nó lên đến hơn 90%.
Tài liệu tại đây: http://phapluan.org/

Rất vui được làm quen với mọi người trên facebook:
https://www.facebook...67946371&type=1

 

 


#7 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 30 March 2012 - 02:23 PM

Ồ, lần trước nói ý nói tứ rồi mà bạn lại lập tiếp cái nữa.
Thôi thì nói thẳng với bạn vậy : Hãy tránh dùng từ "Tôi muốn", vì bạn đang ở vị trí người cần được giúp đỡ ^^ (Mặc dù đội ngũ BQT thống nhất với tiền tố [Yêu cầu] cho ngắn gọn)
- Về vấn đề của bạn, Hatch là đối tượng khó chịu, với khả năng của mình thì chỉ giúp bạn được ở mức thực hiện thao tác trim + Hatch lại giúp bạn thôi.
Lệnh : brh
Thao tác : Chọn Pline chia, Pick vào 1 phía của miếng Hatch

Hề hề hề,
Bác Ketxu ơi,
cái lisp này không chơi với đồ cổ rùi. Mình dùng cho cad2004 chả thấy xi nhê gì bác ạ.....
Hình như thằng Cad2004 không cho trim đối với hatch. Có nhẽ phải eplore cái hatch này ra chăng?? như vậy thì không dùng matchprop được nữa đúng không bác hè????
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#8 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 30 March 2012 - 02:37 PM

Hề hề hề,
Bác Ketxu ơi,
cái lisp này không chơi với đồ cổ rùi. Mình dùng cho cad2004 chả thấy xi nhê gì bác ạ.....
Hình như thằng Cad2004 không cho trim đối với hatch. Có nhẽ phải eplore cái hatch này ra chăng?? như vậy thì không dùng matchprop được nữa đúng không bác hè????

Chính xác là CAD2004 không cho trim đối với Hatch.
Bác Bình vẫn chuộng đồ cổ... Em ủng hộ bác trang bị đồ mới :D
  • 0

#9 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 30 March 2012 - 05:20 PM

Bác ketxu bổ sung thêm lựa chọn đường cắt là nhiều đường 1 lúc, và có thể chọn cả pline, arc, spline....được không ah? Thanks bác

Hề hề hề,
Không hiểu ý của bạn này nữa???
Nếu chọn nhiều dao cắt một lượt thì sẽ tạo ta nhiều vùng cắt khác nhau chứ không phải chỉ có hai vùng như khi chọn một dao. Vậy thì muốn hatch lại như cũ sẽ phải pick nhiều điểm chứ chả thể pick một điểm như bác Ketxu đã viết và khi matchprop cũng sẽ phải matchprop nhiều đối tương chứ chả phải chỉ lây (entlast) là được. Vậy bạn có cách chi để xác dịnh các vùng cần hatch lại này hay là cứ khoái thằng nào thì pick thằng đó???? Nếu không xác định được thì chi bằng sử dụng cái của bác Ketxu nhiều lần có hơn là chọn nhiều dao một lúc không nhỉ???
Còn cái Pline bác ketxu viết chỉ là biến chứ không phải loại đối tượng. Vậy nên bạn có quyền chọn bất kỳ đối tượng nào mà lệnh trim cho phép sử dụng với đối tượng ấy là OK chứ đâu phải bác ấy bảo là bạn chỉ được dùng Pline mà bạn hỏi vậy.
Hề hề hề, rất mong bạn cân nhắc kỹ trước khi yêu cầu, và nếu đã yêu cầu thì cần nói rõ cái đích cuối cùng cần có mới được bạn ạ.
Hề hề hề,...
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#10 bach1212

bach1212

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 01 April 2012 - 10:42 AM

hậu bối hiểu biết nông cạn đã biết lỗi roài ah. hjjj.
  • 0

Một môn tập luyện mang lại vô vàn lợi ích sức khỏe cho mọi người, nhiều bệnh tật nan y đều được chữa khỏi, hoàn toàn miễn phí. Hiệu quả chữa khỏi bệnh tật của nó lên đến hơn 90%.
Tài liệu tại đây: http://phapluan.org/

Rất vui được làm quen với mọi người trên facebook:
https://www.facebook...67946371&type=1

 

 


#11 hung_xu20032000

hung_xu20032000

    biết vẽ ellipse

  • Members
  • PipPip
  • 52 Bài viết
Điểm đánh giá: -2 (bình thường)

Đã gửi 03 February 2014 - 09:06 PM

8800_4.jpgMình dùng thấy lệnh "BRH" cũng rất được. Nhưng khi cắt mà có đường thẳng cắt ngang thì lại không cắt được nữa. Hãy hộ mình "Chia theo ý muốn" như trên hình vẽ. Cảm ơn rất nhiều


  • 0